SystemOrganization addCategory: #'JQWidgetBox-Growl-Dev'!

JQWidgetExample subclass: #JQGrowlExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Growl-Dev'!

!JQGrowlExample classSide methodsFor: 'as yet unclassified' stamp: 'JohnToohey 11/21/2009 14:52'!
description
	^ 'JGrowl Example'! !

!JQGrowlExample classSide methodsFor: 'as yet unclassified' stamp: 'JohnToohey 11/21/2009 14:52'!
shortName
	^ 'growl'! !

!JQGrowlExample methodsFor: 'rendering' stamp: 'JohnToohey 11/21/2009 15:22'!
renderContentOn: html
	self renderSimpleGrowlOn: html.
	html horizontalRule.
	self renderStickyGrowlOn: html.
	html horizontalRule.
	self renderHeaderGrowlOn: html.
	html horizontalRule.
	self renderLongerGrowlOn: html.! !

!JQGrowlExample methodsFor: 'rendering' stamp: 'JohnToohey 11/21/2009 15:22'!
renderHeaderGrowlOn: html
	html button
		bePush;
		onClick: ((html jQuery growl)
			header: 'Test header';
			message: 'This is the message';
			show
		);
		with: 'Header'! !

!JQGrowlExample methodsFor: 'rendering' stamp: 'JohnToohey 11/21/2009 15:21'!
renderLongerGrowlOn: html
	html button
		bePush;
		onClick: ((html jQuery growl)
			message: 'This is the message';
			life:10000;
			show
		);
		with: 'Longer'! !

!JQGrowlExample methodsFor: 'rendering' stamp: 'JohnToohey 11/21/2009 15:20'!
renderSimpleGrowlOn: html
	html button
		bePush;
		onClick: ((html jQuery growl)
			message: 'This is the message';
			show
		);
		with: 'Normal'! !

!JQGrowlExample methodsFor: 'rendering' stamp: 'JohnToohey 11/21/2009 15:18'!
renderStickyGrowlOn: html
	html button
		bePush;
		onClick: ((html jQuery growl)
			header: 'Test header';
			sticky: true;
			message: 'This is the message';
			show
		);
		with: 'Sticky'! !

!JQGrowlExample methodsFor: 'updating' stamp: 'JohnToohey 11/21/2009 15:06'!
updateRoot: html
	html javascript url: JQWidgetBoxDeploymentLibrary / #jqueryjgrowlminimizedJs.	
	html stylesheet url: JQWidgetBoxDeploymentLibrary / #jqueryjgrowlCss.! !
